import turtle


# A tartaruga para desenhar.
t = turtle.Turtle()
t.width(3)
t.color("magenta")
t.shape("circle")


def move_tartaruga(x, y):
    # Move a tartaruga para a posição do rato!
    t.goto(x, y)

def levanta_tartaruga():
    # Levanta a tartaruga para não desenhar linhas.
    t.shape("square")
    t.up()

def baixa_tartaruga():
    # Baixa a tartaruga para voltar a desenhar linhas.
    t.shape("circle")
    t.down()


# Cliques do rato executam a função "move_tartaruga".
turtle.onscreenclick(move_tartaruga)

# Preparar para usar o teclado.
turtle.listen()

# As teclas "u" e "d" executam as respectivas funções.
turtle.onkey(levanta_tartaruga, "u")
turtle.onkey(baixa_tartaruga, "d")

# Aguarda que a janela feche ou que se utilize o rato e teclado.
turtle.mainloop()