import random


# Computador escolhe um número segredo entre 1 e 100.
segredo = random.randint(1, 100)

# Este valor é de certeza diferente do segredo.
jogada = -1

# Para contar o número de tentativas até acertar.
tentativas = 0


# Este bloco de instruções executa repeditamente, enquanto
# (while em Inglês) a jogada for diferente do segredo.
while jogada != segredo:

    # Pedir tentativa e construír um número com os dígitos.
    digitos = input("Adivinha o número (de 1 a 100): ")
    jogada = int(digitos)

    # Aumentar o número de tentativas.
    tentativas = tentativas + 1

    # Dizer ao jogador se o número é muito pequeno / grande.
    if jogada < segredo:
        print("Esse é muito pequeno.")
    if jogada > segredo:
        print("Esse é muito grande.")


# Executado quando terminar o bloco de instruções acima.
# (quer dizer que a jogada passou a ser igual ao segredo)
print("Conseguiste em", tentativas, "tentativas.")